stages:
  - test
  - deploy

test:
  stage: test
  image: imaxt/owl-pipeline:latest
  tags:
    - python
  except:
    - tags
  script:
    - pip config set global.extra-index-url $EXTRA_INDEX_URL
    - pip config set global.trusted-host $TRUSTED_HOST
    - pip install --user -r requirements_dev.txt
    - python setup.py develop --user
    - python setup.py flake8
    - python setup.py build_sphinx 
    - python setup.py test

deploy:
  stage: deploy
  image: imaxt/owl-pipeline:latest
  tags:
    - python
  only:
    - tags
  script:
    - pip config set global.extra-index-url $EXTRA_INDEX_URL
    - pip config set global.trusted-host $TRUSTED_HOST
    - pip install --user -r requirements_dev.txt
    - python setup.py sdist
    - curl -X MKCOL https://$TRUSTED_HOST/pip/axio-mosaic-pipeline
    - curl -XPUT https://$TRUSTED_HOST/pip/axio-mosaic-pipeline/axio-mosaic-pipeline-0.1.0.tar.gz --data-binary @dist/axio-mosaic-pipeline-0.1.0.tar.gz
